org.keycloak.models.credential

## Class WebAuthnCredentialModel

- java.lang.Object
- - org.keycloak.credential.CredentialModel
  - - org.keycloak.models.credential.WebAuthnCredentialModel

- All Implemented Interfaces:
    Serializable

      public class WebAuthnCredentialModel
      extends CredentialModel

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE_PASSWORDLESS`
    `static String` | `TYPE_TWOFACTOR`

    - ### Fields inherited from class org.keycloak.credential.CredentialModel

      `CLIENT_CERT, HOTP, KERBEROS, OTP, PASSWORD, PASSWORD_HISTORY, PASSWORD_TOKEN, SECRET, TOTP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebAuthnCredentialModel` | `create(String credentialType, String userLabel, String aaguid, String credentialId, String attestationStatement, String credentialPublicKey, long counter, String attestationStatementFormat)`
    `static WebAuthnCredentialModel` | `createFromCredentialModel(CredentialModel credentialModel)`
    `WebAuthnCredentialData` | `getWebAuthnCredentialData()`
    `WebAuthnSecretData` | `getWebAuthnSecretData()`
    `String` | `toString()`
    `void` | `updateCounter(long counter)`

    - ### Methods inherited from class org.keycloak.credential.CredentialModel

      `comparingByStartDateDesc, getAlgorithm, getConfig, getCounter, getCreatedDate, getCredentialData, getDevice, getDigits, getHashIterations, getId, getPeriod, getSalt, getSecretData, getType, getUserLabel, getValue, setAlgorithm, setConfig, setCounter, setCreatedDate, setCredentialData, setDevice, setDigits, setHashIterations, setId, setPeriod, setSalt, setSecretData, setType, setUserLabel, setValue, shallowClone`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_TWOFACTOR

          public static final String TYPE_TWOFACTOR

      See Also:
        Constant Field Values

    - #### TYPE_PASSWORDLESS

          public static final String TYPE_PASSWORDLESS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static WebAuthnCredentialModel create(String credentialType,
                                                       String userLabel,
                                                       String aaguid,
                                                       String credentialId,
                                                       String attestationStatement,
                                                       String credentialPublicKey,
                                                       long counter,
                                                       String attestationStatementFormat)

    - #### createFromCredentialModel

          public static WebAuthnCredentialModel createFromCredentialModel(CredentialModel credentialModel)

    - #### updateCounter

          public void updateCounter(long counter)

    - #### getWebAuthnCredentialData

          public WebAuthnCredentialData getWebAuthnCredentialData()

    - #### getWebAuthnSecretData

          public WebAuthnSecretData getWebAuthnSecretData()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.